Package org.apache.uima.util

# Class XMLParser.ParsingOptions

java.lang.Object
org.apache.uima.util.XMLParser.ParsingOptions

Enclosing interface:
  XMLParser

public static class XMLParser.ParsingOptions extends Object
Option settings for the parser.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `expandEnvVarRefs`
  Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System property VARNAME.
  `boolean`
  `expandXIncludes`
  Deprecated.
  XInclude is no longer supported
  `boolean`
  `preserveComments`
  Whether to preserve comments and ignorable whitespace

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParsingOptions(boolean aExpandEnvVarRefs)`
  Creates a new ParsingOptions object.
  `ParsingOptions(boolean aExpandXIncludes, boolean aExpandEnvVarRefs)`
  Deprecated.
  XInclude is no longer supported

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### expandXIncludes

    @Deprecated public boolean expandXIncludes
    Deprecated.
    XInclude is no longer supported
    Whether to expand <xi:include> elements according to the XInclude spec.

  - ### expandEnvVarRefs

    public boolean expandEnvVarRefs
    Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System property VARNAME.

  - ### preserveComments

    public boolean preserveComments
    Whether to preserve comments and ignorable whitespace

- ## Constructor Details

  - ### ParsingOptions

    @Deprecated public ParsingOptions(boolean aExpandXIncludes, boolean aExpandEnvVarRefs)
    Deprecated.
    XInclude is no longer supported
    Creates a new ParsingOptions object.
    Parameters:
      `aExpandXIncludes` - Whether to expand <xi:include> elements according to the XInclude spec.
      `aExpandEnvVarRefs` - Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System property VARNAME.

  - ### ParsingOptions

    public ParsingOptions(boolean aExpandEnvVarRefs)
    Creates a new ParsingOptions object.
    Parameters:
      `aExpandEnvVarRefs` - Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System property VARNAME.